# TdApi.ChatReportSpamState

Package it.ernytech.tdlib

## Class TdApi.ChatReportSpamState

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.ChatReportSpamState

Enclosing class:
  TdApi

    public static class TdApi.ChatReportSpamState
    extends TdApi.Object

Contains information about the availability of the "Report spam" action for a chat.

### Field Summary

Fields
`boolean` `canReportSpam` True, if a prompt with the "Report spam" action should be shown to the user.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.

### Constructor Summary

Constructors
`ChatReportSpamState()` Default constructor.
`ChatReportSpamState​(boolean canReportSpam)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### canReportSpam

    public boolean canReportSpam

True, if a prompt with the "Report spam" action should be shown to the user.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ChatReportSpamState

    public ChatReportSpamState()

Default constructor.

#### ChatReportSpamState

    public ChatReportSpamState​(boolean canReportSpam)

Constructor for initialization of all fields.

Parameters:
  `canReportSpam` - True, if a prompt with the "Report spam" action should be shown to the user.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR